petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSNESCheckFromOptions

Check the residual and Jacobian functions using the exact solution by outputting some diagnostic information

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCheckFromOptions(SNES snes, Vec u, PetscErrorCode (**exactFuncs)(PetscInt dim, PetscReal time, const PetscReal x[], PetscInt Nf, PetscScalar *u, void *ctx), void **ctxs)

### Input Parameters

| snes | - the SNES object
| u | - representative SNES vector
| exactFuncs | - pointwise functions of the exact solution for each field
| ctxs | - contexts for the functions

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages